Cards, prop trading & accounting
Get Prop Trader Kyc Status
Returns the caller's safe KYC state, reconciling with Persona and minting a fresh link while actionable.
GEThttps://api.toku.com/hris/get-prop-trader-kyc-status
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/hris/get-prop-trader-kyc-status' \
--header 'Authorization: Bearer <token>'200 response
{
"state": "NOT_CONFIGURED",
"hostedLink": "string",
"canResume": true
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
statestringrequiredAvailable options: NOT_CONFIGURED, NOT_STARTED, PENDING, SUBMITTED, APPROVED, REJECTED, EXPIRED, PROVIDER_ERROR
hostedLinkstring | nullrequiredcanResumebooleanrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits